/* Top Borders */

.top-black-border {
	border-top: 0.5rem solid var(--color-black);
}

.top-white-border {
	border-top: 0.5rem solid var(--color-white);
}

.top-off-white-border {
	border-top: 0.5rem solid var(--color-off-white);
}

.top-light-grey-border {
	border-top: 0.5rem solid var(--color-light-grey);
}

.top-blue-border {
	border-top: 0.5rem solid var(--color-blue);
}

.top-light-red-border {
	border-top: 0.5rem solid var(--color-light-red);
}

.top-dark-gold-border {
	border-top: 0.5rem solid var(--color-dark-gold);
}

.top-light-green-border {
	border-top: 0.5rem solid var(--color-light-green);
}

.top-orange-border {
	border-top: 0.5rem solid var(--color-orange);
}

.top-light-orange-border {
	border-top: 0.5rem solid var(--color-light-orange);
}

.top-dark-yellow-border {
	border-top: 0.5rem solid var(--color-dark-yellow);
}

.top-dark-grey-border {
	border-top: 0.5rem solid var(--color-dark-grey);
}

.top-accent-blue-border {
	border-top: 0.5rem solid var(--color-accent-blue);
}

.top-grey-border {
	border-top: 0.5rem solid var(--color-grey);
}

.top-medium-grey-border {
	border-top: 0.5rem solid var(--color-medium-grey);
}

.top-lightest-grey-border {
	border-top: 0.5rem solid var(--color-lightest-grey);
}

.top-blue-grey-border {
	border-top: 0.5rem solid var(--color-blue-grey);
}

.top-light-blue-border {
	border-top: 0.5rem solid var(--color-light-blue);
}

.top-purple-border {
	border-top: 0.5rem solid var(--color-purple);
}

.top-pink-border {
	border-top: 0.5rem solid var(--color-pink);
}

.top-red-border {
	border-top: 0.5rem solid var(--color-red);
}

.top-green-border {
	border-top: 0.5rem solid var(--color-green);
}

.top-skinny-border {
	border-top: 0.8px solid black;
}

/* Borders */

.border-black {
	border: 2px solid var(--color-black);
}

.border-white {
	border: 2px solid var(--color-white);
}

.border-off-white {
	border: 2px solid var(--color-off-white);
}

.border-light-grey {
	border: 2px solid var(--color-light-grey);
}

.border-blue {
	border: 2px solid var(--color-blue);
}

.border-light-red {
	border: 2px solid var(--color-light-red);
}

.border-dark-gold {
	border: 2px solid var(--color-dark-gold);
}

.border-light-green {
	border: 2px solid var(--color-light-green);
}

.border-orange {
	border: 2px solid var(--color-orange);
}

.border-light-orange {
	border: 2px solid var(--color-light-orange);
}

.border-dark-yellow {
	border: 2px solid var(--color-dark-yellow);
}

.border-dark-grey {
	border: 2px solid var(--color-dark-grey);
}

.border-accent-blue {
	border: 2px solid var(--color-accent-blue);
}

.border-grey {
	border: 2px solid var(--color-grey);
}

.border-medium-grey {
	border: 2px solid var(--color-medium-grey);
}

.border-lightest-grey {
	border: 2px solid var(--color-lightest-grey);
}

.border-blue-grey {
	border: 2px solid var(--color-blue-grey);
}

.border-light-blue {
	border: 2px solid var(--color-light-blue);
}

.border-purple {
	border: 2px solid var(--color-purple);
}

.border-pink {
	border: 2px solid var(--color-pink);
}

.border-red {
	border: 2px solid var(--color-red);
}

.border-green {
	border: 2px solid var(--color-green);
}

.border-black-dashed {
	border: 2px dashed var(--color-black);
}

.border-white-dashed {
	border: 2px dashed var(--color-white);
}

.border-off-white-dashed {
	border: 2px dashed var(--color-off-white);
}

.border-light-grey-dashed {
	border: 2px dashed var(--color-light-grey);
}

.border-blue-dashed {
	border: 2px dashed var(--color-blue);
}

.border-light-red-dashed {
	border: 2px dashed var(--color-light-red);
}

.border-dark-gold-dashed {
	border: 2px dashed var(--color-dark-gold);
}

.border-light-green-dashed {
	border: 2px dashed var(--color-light-green);
}

.border-orange-dashed {
	border: 2px dashed var(--color-orange);
}

.border-light-orange-dashed {
	border: 2px dashed var(--color-light-orange);
}

.border-dark-yellow-dashed {
	border: 2px dashed var(--color-dark-yellow);
}

.border-dark-grey-dashed {
	border: 2px dashed var(--color-dark-grey);
}

.border-accent-blue-dashed {
	border: 2px dashed var(--color-accent-blue);
}

.border-grey-dashed {
	border: 2px dashed var(--color-grey);
}

.border-medium-grey-dashed {
	border: 2px dashed var(--color-medium-grey);
}

.border-lightest-grey-dashed {
	border: 2px dashed var(--color-lightest-grey);
}

.border-blue-grey-dashed {
	border: 2px dashed var(--color-blue-grey);
}

.border-light-blue-dashed {
	border: 2px dashed var(--color-light-blue);
}

.border-purple-dashed {
	border: 2px dashed var(--color-purple);
}

.border-pink-dashed {
	border: 2px dashed var(--color-pink);
}

.border-red-dashed {
	border: 2px dashed var(--color-red);
}

.border-green-dashed {
	border: 2px dashed var(--color-green);
}

.b--black {
	border-color: var(--color-black);

	&:hover {
		border-color: var(--color-black);
	}
}

.b--white {
	border-color: var(--color-white);

	&:hover {
		border-color: var(--color-white);
	}
}

.b--off-white {
	border-color: var(--color-off-white);

	&:hover {
		border-color: var(--color-off-white);
	}
}

.b--light-grey {
	border-color: var(--color-light-grey);

	&:hover {
		border-color: var(--color-light-grey);
	}
}

.b--blue {
	border-color: var(--color-blue);

	&:hover {
		border-color: var(--color-blue);
	}
}

.b--custom-blue {
	border-color: var(--color-blue);

	&:hover {
		border-color: var(--color-blue);
	}
}

.b--light-red {
	border-color: var(--color-light-red);

	&:hover {
		border-color: var(--color-light-red);
	}
}

.b--dark-gold {
	border-color: var(--color-dark-gold);

	&:hover {
		border-color: var(--color-dark-gold);
	}
}

.b--light-green {
	border-color: var(--color-light-green);

	&:hover {
		border-color: var(--color-light-green);
	}
}

.b--orange {
	border-color: var(--color-orange);

	&:hover {
		border-color: var(--color-orange);
	}
}

.b--light-orange {
	border-color: var(--color-light-orange);

	&:hover {
		border-color: var(--color-light-orange);
	}
}

.b--dark-yellow {
	border-color: var(--color-dark-yellow);

	&:hover {
		border-color: var(--color-dark-yellow);
	}
}

.b--dark-grey {
	border-color: var(--color-dark-grey);

	&:hover {
		border-color: var(--color-dark-grey);
	}
}

.b--accent-blue {
	border-color: var(--color-accent-blue);

	&:hover {
		border-color: var(--color-accent-blue);
	}
}

.b--grey {
	border-color: var(--color-grey);

	&:hover {
		border-color: var(--color-grey);
	}
}

.b--medium-grey {
	border-color: var(--color-medium-grey);

	&:hover {
		border-color: var(--color-medium-grey);
	}
}

.b--lightest-grey {
	border-color: var(--color-lightest-grey);

	&:hover {
		border-color: var(--color-lightest-grey);
	}
}

.b--blue-grey {
	border-color: var(--color-blue-grey);

	&:hover {
		border-color: var(--color-blue-grey);
	}
}

.b--light-blue {
	border-color: var(--color-light-blue);

	&:hover {
		border-color: var(--color-light-blue);
	}
}

.b--purple {
	border-color: var(--color-purple);

	&:hover {
		border-color: var(--color-purple);
	}
}

.b--pink {
	border-color: var(--color-pink);

	&:hover {
		border-color: var(--color-pink);
	}
}

.b--custom-pink {
	border-color: var(--color-pink);

	&:hover {
		border-color: var(--color-pink);
	}
}

.b--red {
	border-color: var(--color-red);

	&:hover {
		border-color: var(--color-red);
	}
}

.b--green {
	border-color: var(--color-green);

	&:hover {
		border-color: var(--color-green);
	}
}
